repo/gentoo:master commit in: sci-electronics/kicad/

"Yixun Lan" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786281817.2d92b5e86454e82be6acef009264f18d4abd4b71.dlan@gentoo>
commit:     2d92b5e86454e82be6acef009264f18d4abd4b71
Author:     Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Thu Jul 23 09:16:42 2026 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 13:23:37 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d92b5e8

sci-electronics/kicad: add 10.0.5

Part-of: https://codeberg.org/gentoo/gentoo/pulls/1511
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 sci-electronics/kicad/Manifest            |   1 +
 sci-electronics/kicad/kicad-10.0.5.ebuild | 226 ++++++++++++++++++++++++++++++
 2 files changed, 227 insertions(+)

diff --git a/sci-electronics/kicad/Manifest b/sci-electronics/kicad/Manifest
index 597be80ce068..47f7bb80c22c 100644
--- a/sci-electronics/kicad/Manifest
+++ b/sci-electronics/kicad/Manifest
@@ -1,5 +1,6 @@
 DIST kicad-10.0.0.tar.bz2 224824479 BLAKE2B ea1fbcc566db86b43032a7b305decbd8cf8c68e2ffa3dbd96c6bfc8dacd12081c9c9e88238c2f38c668ff251627abfaa81da54631f8539f8a526c087bd573c10 SHA512 6a715d132677cf86044d66ce199fe6ff53ad92653b7f71c9203440d87716debe02e2c365feb5453de32883a429e85e9ac27f82d9d1cd8e3ec99d768fa561df86
 DIST kicad-10.0.2.tar.bz2 225441149 BLAKE2B c53f6783ea9a15052aee3c66a646316255946f904d134214e6bcc730a7956cc59cc41e884e7d471095660e58bbadada88cd7fa3db9171f6c1720debc866478d4 SHA512 b00824de22961f5da00dafc069f9ec2745a54fa4519aa8dff26bcd65dfea3a1d12fb147df9761befa302ddbd8185997982e8bd9eff79dd50543bc922fbac2fc3
 DIST kicad-10.0.3.tar.bz2 225465490 BLAKE2B ff9f4203463bf31c95f9da224185a5203db11d054a85553ad243460035eb54796d899037152f7625a4531faae47d09d1eb352ffb2a74f26f152fa9868afc4c67 SHA512 784220e13637c32157daeeecb89f8db56861bc39f459d9add7e6e49e9cacd4503d486076fca35157cc58e7eb0ad0d365b6419bf7fe0fdfc55f2acb8a6f812925
+DIST kicad-10.0.5.tar.bz2 232792797 BLAKE2B 1f73607cada273972ad6029fd8ffb4d01b8d9646191cab9cdc57d7b6285754bf1806dec12d8e66e7d407a9ac6ccb0636c533db78766a5fed59493dc94ee65322 SHA512 58897802ba53585f09e7b7991028bcc8b8240a0917d9306f12a63242ce0fb8932cc229e99298b2addcc85486bdd48ac9bc09cde3162b90798538ae0dfe76bc87
 DIST kicad-9.0.5.tar.bz2 127656010 BLAKE2B 9a9eb1829d837ec4232a501b8fe634ff62e24cb2dbe66531103c0d970e6796ff80a2a78a9a1af6c9fdfcb00c9b95768506e24965e30ad7ec963c8942b6f09e45 SHA512 bc300169bcf04237f8eb034ba08477a39d7494b2825f832d19994d6e1daab5253b3468fcee739b73c57a5e005a70a214e530294f67bf8e89590caceae93132fa
 DIST kicad-9.0.9.tar.bz2 132155425 BLAKE2B 8283551d85c1e2911909be31dd2c3df66fede2140a27d3da12f77cb08edd41942ebe8e269bafe41df16d5201b612f8fe72480538efef89af7aa31aec3475ad3c SHA512 0078387092374e2fbb067920a185b4606f53b3056ba95251da0883605cf0fcee2f4d26b8df187b02927e6bde30a33b6b25291fa18bfee87f463de596106bddf7

diff --git a/sci-electronics/kicad/kicad-10.0.5.ebuild b/sci-electronics/kicad/kicad-10.0.5.ebuild
new file mode 100644
index 000000000000..dd89c031f6ed
--- /dev/null
+++ b/sci-electronics/kicad/kicad-10.0.5.ebuild
@@ -0,0 +1,226 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} )
+WX_GTK_VER="3.2-gtk3"
+
+inherit check-reqs cmake flag-o-matic optfeature python-single-r1 toolchain-funcs wxwidgets xdg-utils
+
+DESCRIPTION="Electronic Schematic and PCB design tools"
+HOMEPAGE="https://www.kicad.org"
+
+if [[ ${PV} == *9999* ]]; then
+	EGIT_REPO_URI="https://gitlab.com/kicad/code/kicad.git"
+	inherit git-r3
+else
+	MY_PV="${PV/_rc/-rc}"
+	MY_P="${PN}-${MY_PV}"
+	SRC_URI="https://gitlab.com/kicad/code/${PN}/-/archive/${MY_PV}/${MY_P}.tar.bz2"
+	S="${WORKDIR}/${MY_P}"
+
+	if [[ ${PV} != *_rc* ]] ; then
+		KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+	fi
+fi
+
+# KiCAD is licensed under GPLv3 or later
+# As per LICENSES.README some components are under different, but GPL compatible license:
+# Licensed under Apache License, Version 2.0: portions of code in libs/kimath/include/math/util.h
+# Licensed under BOOSTv1: clipper, clipper2, libcontext, pegtl, picosha2, turtle
+# Licensed under ISC: portions of code in include/geometry/polygon_triangulation.h
+# Licensed under MIT: argparse, compoundfilereader, delaunator, fmt, json_schema_validator, magic_enum nanodbc,
+#                     nlohmann/json, nlohmann/fifo_map, pboettch/json-schema-validator, picoSHA2, rectpack2d,
+#                     sentry-native, thread-pool, tinyspline_lib
+# Licensed under BSD: pybind11
+# Licensed under BSD2: gzip-hpp
+# Licensed under GPLv2 (or later): dxflib, math_for_graphics, potrace,
+#                                  SutherlandHodgmanClipPoly in thirdparty/other_math
+# Licensed under ZLib: nanosvg
+# Licensed in the public domain: lemon
+# Licensed under CC BY-SA 4.0: all the demo files provided in demos/*
+# Licensed under clause-3 BSD: ibis/kibis files in eeschema/sim/kibis
+# Licensed under CC0: uopamp.lib.spice in some directories in qa/data/eeschema/spice_netlists/
+# Licensed under WTFPL-2 and Apache-2.0: bundled GLAD (replaces former system glew dep)
+LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD BSD-2 Apache-2.0 ISC MIT ZLIB CC-BY-SA-4.0 CC0-1.0 WTFPL-2"
+SLOT="0"
+IUSE="doc examples nls openmp test wayland"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="!test? ( test )"
+
+# Contains bundled pybind but it's patched for wx
+# See https://gitlab.com/kicad/code/kicad/-/commit/74e4370a9b146b21883d6a2d1df46c7a10bd0424
+# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
+# Depends on abseil-cpp via protobuf targets
+COMMON_DEPEND="
+	app-arch/zstd:=
+	app-crypt/libsecret
+	app-text/poppler[cairo]
+	dev-cpp/abseil-cpp:=
+	dev-db/unixODBC
+	dev-libs/boost:=[context,nls]
+	>=dev-libs/libgit2-1.5:=
+	dev-libs/libspnav
+	>=dev-libs/protobuf-27.2:=[protobuf,protoc]
+	>=dev-libs/nng-1.10.0:=
+	media-libs/fontconfig
+	media-libs/freeglut
+	media-libs/freetype:2
+	>=media-libs/glm-0.9.9.1
+	media-libs/harfbuzz:=
+	media-libs/mesa[X(+)]
+	net-misc/curl
+	>=sci-libs/opencascade-7.5.0:0=
+	>=x11-libs/cairo-1.8.8:=
+	>=x11-libs/pixman-0.30
+	>=sci-electronics/ngspice-28[shared]
+	virtual/zlib:=
+	x11-libs/wxGTK:${WX_GTK_VER}=[X,opengl,webkit]
+	wayland? ( >=dev-libs/wayland-1.20 )
+	$(python_gen_cond_dep '
+		dev-libs/boost:=[context,nls,python,${PYTHON_USEDEP}]
+		>=dev-python/wxpython-4.2.0:*[${PYTHON_USEDEP}]
+	')
+	${PYTHON_DEPS}
+	nls? (
+		sys-devel/gettext
+	)
+	test? (
+		media-gfx/cairosvg
+	)
+"
+
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+	sci-electronics/electronics-menu
+"
+BDEPEND="app-alternatives/ninja
+	>=dev-lang/swig-4.0
+	doc? ( app-text/doxygen )
+	test? ( $(python_gen_cond_dep 'dev-python/pytest[${PYTHON_USEDEP}]') )"
+
+if [[ ${PV} == 9999 ]] ; then
+	# x11-misc-util/macros only required on live ebuilds
+	BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
+
+CHECKREQS_DISK_BUILD="1500M"
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+
+	python-single-r1_pkg_setup
+	check-reqs_pkg_setup
+}
+
+src_unpack() {
+	if [[ ${PV} == 9999 ]]; then
+		git-r3_src_unpack
+	else
+		default_src_unpack
+	fi
+}
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-10.0.0-fix-cmake4-compat.patch # Bug 970924
+)
+
+src_prepare() {
+	filter-lto # Bug 927482
+	cmake_src_prepare
+}
+
+src_configure() {
+	setup-wxwidgets
+	xdg_environment_reset
+
+	local mycmakeargs=(
+		-DKICAD_DOCS="${EPREFIX}/usr/share/doc/${PN}-doc-${PV}"
+
+		-DKICAD_SCRIPTING_WXPYTHON=ON
+
+		-DKICAD_BUILD_I18N="$(usex nls)"
+		-DKICAD_I18N_UNIX_STRICT_PATH="$(usex nls)"
+
+		-DPYTHON_DEST="$(python_get_sitedir)"
+		-DPYTHON_EXECUTABLE="${PYTHON}"
+		-DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+		-DPYTHON_LIBRARY="$(python_get_library_path)"
+
+		-DKICAD_INSTALL_DEMOS="$(usex examples)"
+
+		-DOCC_INCLUDE_DIR="${CASROOT}"/include/opencascade
+		-DOCC_LIBRARY_DIR="${CASROOT}"/$(get_libdir)/opencascade
+
+		-DKICAD_SPICE_QA="$(usex test)"
+		-DKICAD_BUILD_QA_TESTS="$(usex test)"
+
+		-DKICAD_WAYLAND="$(usex wayland)"
+	)
+
+	if ! [[ ${PV} == *9999* ]]; then
+		mycmakeargs+=(
+			-DCMAKE_POLICY_DEFAULT_CMP0167="OLD"
+
+			# 939141
+			-DCMAKE_DISABLE_FIND_PACKAGE_Git="yes"
+			-DKICAD_VERSION="${PVR}"
+		)
+	fi
+
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+	if use doc; then
+		cmake_src_compile doxygen-docs
+	fi
+}
+
+src_test() {
+	# Test cannot find library in Portage's sandbox. Let's create a link so test can run.
+	mkdir -p "${BUILD_DIR}/qa/eeschema/" || die
+	ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+
+	export CMAKE_SKIP_TESTS=(
+		qa_pcbnew
+		qa_cli
+	)
+
+	cmake_src_test
+}
+
+src_install() {
+	cmake_src_install
+	python_optimize
+
+	dodoc doxygen/eagle-plugin-notes.txt
+
+	if use doc ; then
+		cd doxygen || die
+		dodoc -r out/html/.
+	fi
+}
+
+pkg_postinst() {
+	optfeature "Component symbols library" sci-electronics/kicad-symbols
+	optfeature "Component footprints library" sci-electronics/kicad-footprints
+	optfeature "3D models of components " sci-electronics/kicad-packages3d
+	optfeature "Project templates" sci-electronics/kicad-templates
+	optfeature "Extended documentation" app-doc/kicad-doc
+	optfeature "Creating 3D models of components" media-gfx/wings
+
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+	xdg_icon_cache_update
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.